| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::VersionManagerSettings Class Reference

## Public Types
enum | EditorClosingMode { AlwaysAsk , AutoSave }
typedef QFlags< IntermediateSavepoint > | IntermediateBehavior
enum | IntermediateSavepoint { NoIntermediates = 0 , AfterEachSession = 1 << 0 , AfterRawConversion = 1 << 1 , WhenNotReproducible = 1 << 2 }
enum | ShowInViewFlag { OnlyShowCurrent = 0 , ShowOriginal = 1 << 0 , ShowIntermediates = 1 << 1 }
typedef QFlags< ShowInViewFlag > | ShowInViewFlags

## Public Member Functions
void | readFromConfig (const KConfigGroup &group)
void | writeToConfig (KConfigGroup &group) const

## Public Attributes
EditorClosingMode | editorClosingMode = AlwaysAsk
bool | enabled = true
QString | format = QLatin1String("JPG")
| Image format string as defined for database, in upper case.
IntermediateBehavior | saveIntermediateVersions = NoIntermediates
ShowInViewFlags | showInViewFlags = ShowOriginal